db_env_set_func_fsync |

`

    #include <db.h>

    int
    db_env_set_func_fsync(int (*func_fsync)(int fd));

Description: db_env_set_func_fsync

Replace Berkeley DB calls to the IEEE/ANSI Std 1003.1 (POSIX) fsync function with func_fsync, which must conform to the standard interface specification.

The db_env_set_func_fsync method configures all operations performed by a process and all of its threads of control, not operations confined to a single database environment.

Although the db_env_set_func_fsync method may be called at any time during the life of the application, it should normally be called before making calls to the db_env_create or db_create methods.

The db_env_set_func_fsync method returns a non-zero error value on failure and 0 on success.

Parameters
func_fsync

- The func_fsync parameter is the replacement function. It must conform to the standard interface specification.

See Also Run-time configuration`

Copyright (c) 1996,2008 Oracle. All rights reserved.